Bug 1474265 - Shortest matching package name is triggered by webhook unnecessarily.
Shortest matching package name is triggered by webhook unnecessarily.
Status: CLOSED INSUFFICIENT_DATA
Product: Copr
Classification: Community
Component: frontend (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: clime
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-24 05:23 EDT by Elliott Sales de Andrade
Modified: 2018-02-26 04:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-26 04:26:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elliott Sales de Andrade 2017-07-24 05:23:06 EDT
In this copr [1], I have a package python-jupyter and several python-jupyter-* packages. Whenever I push a commit that changes one of the latter packages, the first python-jupyter package is also triggered even though it's not changed.

[1] https://copr.fedorainfracloud.org/coprs/qulogic/jupyter/
Comment 1 clime 2017-07-28 02:33:00 EDT
Hello, I don't think this should be an issue. I examined https://gitlab.com/qulogic-rpms/jupyter.git and the builds that happened three days ago at [1] https://copr.fedorainfracloud.org/coprs/qulogic/jupyter/. 

It seems ok what happened. python-jupyter tag was created at Mon Jul 24 03:18:00 2017 -0400 and the respective build was launched in COPR: https://copr.fedorainfracloud.org/coprs/qulogic/jupyter/package/python-jupyter/. 

Later other python-jupyter-* tags were created and for them the builds were also launched in COPR: e.g https://copr.fedorainfracloud.org/coprs/qulogic/jupyter/build/582938/. 

I would need more description on this but I think this bug was there earlier. It's now fixed in production for quite some time. The related bug was https://bugzilla.redhat.com/show_bug.cgi?id=1455249. Please, look at it and let me know if you think the problem is still there.
Comment 2 clime 2017-08-29 16:52:38 EDT
I think this should be fixed now. Please, let me know if you hit further problems.
Comment 3 Elliott Sales de Andrade 2017-10-29 20:28:05 EDT
This is still happening. For example, I just pushed python-jupyter-kernel-test [1] and python-jupyter just built as well [2].


[1] https://copr.fedorainfracloud.org/coprs/qulogic/jupyter/package/python-jupyter-kernel-test/
[2] https://copr.fedorainfracloud.org/coprs/qulogic/jupyter/build/655724/
Comment 4 clime 2017-12-07 09:00:00 EST
Hello, I would need to see the specific event from Github/Gitlab + build for it to correctly determine whether this is a bug or not. If you have a fresh instance of this problem, that would be cool.
Comment 5 clime 2018-02-26 04:26:22 EST
Hello Elliott,

I will need to close this because I am lacking data or a reproducer for this. Please reopen if the bug occurs again.

Note You need to log in before you can comment on or make changes to this bug.